# Charge Fee

## Charge Fee

The Charge Fee API allows charging fee from a specific card.

## Input Parameters:

| Name                   | Required | Definition                                                                                                                                            | Comments                                  |
| ---------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------- |
| CardNumber             | C        | Format: Numeric, 16                                                                                                                                   | Deprecated. Will be removed in the future |
| ID                     | C        | <p>Format: Numeric, 1-19<br>Description:<br>Input should be RPID in case IDType = RPID<br>Input should be Card Number in case IDType = CardNumber</p> |                                           |
| IDType                 | C        | <p>Format options:<br>CardNumber<br>RPID<br>SavingAccount</p>                                                                                         |                                           |
| ContextTransactionCode | N        | <p>Format: Alphanumeric, 6<br>Validation: A/P/X-P-0..9-0..9-I/D-S/R/F (Praxell code)</p>                                                              |                                           |
| Currency               | Y        | Format: Alphanumeric, 3                                                                                                                               |                                           |
| Description            | N        | Format: Alphanumeric, 1-30                                                                                                                            |                                           |
| FeeAmount              | Y        | Format: Numeric, 10                                                                                                                                   |                                           |
| Type                   | N        | <p>Format:<br>RPID<br>CARD<br>Description: Type of transaction for charge fee</p>                                                                     |                                           |

## Output Parameters:

## XML Samples

### Input XML

```json
<?xml version="1.0"?>
<PraxellXMLRequest>
  <AuthenticationDetails>
    <UserName>fmwcc_fb_QA</UserName>
    <UserPassword>1q2w3e4r</UserPassword>
    <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
  <ServiceDetails>
    <UniqueRequestId>3899670</UniqueRequestId>
    <ServiceName>ChargeFee</ServiceName>
  </ServiceDetails>
  <Origin>
    <OriginType>ExtAPI</OriginType>
  </Origin>
  <ServiceParams>
    <ID></ID>
    <IDType></IDType>
    <FeeAmount>300</FeeAmount>
    <Currency>USD</Currency>
    <Type>DE</Type>
    <Description>1234567890</Description>
    <ContextTransactionCode>AP31DS</ContextTransactionCode>
  </ServiceParams>
</PraxellXMLRequest>
```

```json
<PraxellXMLResponse> 
 <ResponseDetails>
  <ServiceName>ChargeFee</ServiceName>
  <SessionId>29832908200805034</SessionId>
  <StatusCode>0</StatusCode>
  <StatusName>StatusOK</StatusName>
  <StatusDescription>NA</StatusDescription>
  <ServiceDate>2008-03-11 08:05:45</ServiceDate>
  <ServiceId>29832908200805034</ServiceId>
 </ResponseDetails>
   <ResponseParams>
   </ResponseParams>    
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>ChargeFee</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>45004</StatusCode>
    <StatusName>Error processing request message</StatusName>
    <StatusDescription>Error processing request message</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/transactions/charge-fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
